Bug 1314274 - livemedia-creator doesn't recognize "--network" from kickstart file
livemedia-creator doesn't recognize "--network" from kickstart file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lorax (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Brian Lane
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 05:19 EST by dearfriend
Modified: 2016-03-30 15:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 15:05:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
./anaconda/anaconda.log (4.34 KB, text/plain)
2016-03-03 12:58 EST, dearfriend
no flags Details
./anaconda/packaging.log (70.17 KB, text/plain)
2016-03-03 13:00 EST, dearfriend
no flags Details
./anaconda/program.log (4.94 KB, text/plain)
2016-03-03 13:01 EST, dearfriend
no flags Details
./anaconda/storage.log (6.93 KB, text/plain)
2016-03-03 13:01 EST, dearfriend
no flags Details

  None (edit)
Description dearfriend 2016-03-03 05:19:08 EST
Description of problem:
After trying to configure team network interface, it doesn't work

Version-Release number of selected component (if applicable):
lorax-19.6.66-1.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Change "network" string in default .ks file "/usr/share/doc/lorax-19.6.66/rhel7-minimal.ks" to this one

network --device team0 --activate --bootproto dhcp --teamslaves="eth0'{\"prio\": 100, \"sticky\": true}',eth1'{\"prio\": 10}'" --teamconfig="{\"runner\": {\"name\": \"activebackup\"}}"

2. Run
livemedia-creator --make-iso --no-virt --ks=./rhel7-minimal.ks


Actual results:
#mount ./boot.iso /mnt/iso/
mount: /dev/loop0 is write-protected, mounting read-only
# mount /mnt/iso/LiveOS/squashfs.img /mnt/squash/
# mount /mnt/squash/LiveOS/rootfs.img /mnt/liveimg/
# lsinitrd /mnt/iso/isolinux/initrd.img | grep network-scripts
# ls /mnt/liveimg/etc/sysconfig/network-scripts/ifcfg*
/mnt/liveimg/etc/sysconfig/network-scripts/ifcfg-lo
#

As you can see, there is no config files for eth|team intefaces.
While boot process both eth0 and eth1 tries to get IP address from dhcp.
And there is no "team0" interface.
Comment 2 Brian Lane 2016-03-03 11:54:44 EST
I'm not sure that it's going to be possible to setup team interfaces with livemedia-creator. Could you attach the installation logs from ./anaconda/* as individual text/plain attachments?

I've also added our network expert, Radek, to the cc list for his thoughts.
Comment 3 dearfriend 2016-03-03 12:58 EST
Created attachment 1132880 [details]
./anaconda/anaconda.log
Comment 4 dearfriend 2016-03-03 13:00 EST
Created attachment 1132881 [details]
./anaconda/packaging.log
Comment 5 dearfriend 2016-03-03 13:01 EST
Created attachment 1132885 [details]
./anaconda/program.log
Comment 6 dearfriend 2016-03-03 13:01 EST
Created attachment 1132887 [details]
./anaconda/storage.log
Comment 7 dearfriend 2016-03-03 13:02:12 EST
./anaconda/ifcfg.log is empty.
Comment 8 Radek Vykydal 2016-03-09 06:55:12 EST
We don't write network configuration to target root for dirinstall so the ifcfg files would need to be copied in %post script.
Comment 9 dearfriend 2016-03-09 07:30:35 EST
When I copy files in %post:

%post
cat << 'EOF' > /etc/sysconfig/network-scripts/ifcfg-team0
DEVICE=team0
DEVICETYPE=Team
ONBOOT=yes
BOOTPROTO=dhcp
TEAM_CONFIG='{"runner": {"name": "activebackup"}, "link_watch": {"name": "ethtool"}}'
EOF
cat << 'EOF' > /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
DEVICETYPE=TeamPort
ONBOOT=yes
TEAM_MASTER=team0
TEAM_PORT_CONFIG='{"prio": 100}'
EOF
cat << 'EOF' > /etc/sysconfig/network-scripts/ifcfg-eth1
DEVICE=eth1
DEVICETYPE=TeamPort
ONBOOT=yes
TEAM_MASTER=team0
TEAM_PORT_CONFIG='{"prio": 10}'
EOF

Files exists in rootfs, not initramfs. While boot eth0 stands up, receives IP address from dhcp and downloads rootfs image. After mount rootfs, eth0 is still active with address from dhcp. team0 interface have mac-address from eth2 and doesn't work. (dhcp configured to use mac from eth0).


Second way is to set up interfaces in cmdline like team=team0:eth0,eth1 ip=dhcp
But after boot there is another problem:

teamdctl team0 state
libteamdctl: teamdctl_connect: Failed to connect using all CLIs.
teamdctl_connect failed (Invalid argument)

nmcli shows extra team interface:
nmcli connection show
NAME             UUID                                  TYPE            DEVICE   
Team team0       702de3eb-2e80-897c-fd52-cd0494dd8123  team            --       
System eth0      b48971eb-621a-99c1-8ef3-319130930ee5  802-3-ethernet  eth0
System eth1      0ff8880e-97c8-95d5-45d4-064bf1f84ea2  802-3-ethernet  eth1
team0            7e713034-6705-4016-a61f-e833e4949ffd  team            team0

third way is to omit dracut module "ifcg" and manually add ifcfg-files in initramfs. But teamdctl is not a part of initramfs image.

So interface team0 doesn't start correctly anyway.
Comment 10 Brian Lane 2016-03-30 14:56:15 EDT
I think this is going to end up being something you have to figure out how to do manually, and isn't something lmc supports.
Comment 11 RHEL Product and Program Management 2016-03-30 15:05:32 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.